#!/usr/bin/perl
#####################################################################################
## File:	start_dhcp.pl
## Author:	Walt Jones
## Email:	wjones@blarg.net
## Date:	20 August, 2000
## Project:	ResNet Autoreg v2.0
## Purpose:	Automatically starts and refreshes dhcpd every sleepLength seconds
#####################################################################################

$startApp = "/usr/sbin/dhcpd -q";
$pidFile = "/usr/var/run/dhcpd.pid";
$sleepLength = 60;

while (1)
{
        # Start dhcpd in quiet mode
        `$startApp`;
        
        # Sleep for 60 seconds
        sleep $sleepLength;

        # Open the PID file and kill off that process
        open (FILE,"$pidFile");
        foreach $pid (<FILE>) { system "kill $pid\n"; }
        close (<FILE>);
}